import createMaterialIcon from '../createMaterialIcon.js';

const pathData = {
  regular: {
    "100": "M416-357v-245L299-480l117 123Zm110 185h22v-616h-22v616Z",
    "200": "M418.08-344.08v-271.07L285.38-480l132.7 135.92ZM529.23-160H560v-640h-30.77v640Z",
    "300": "M421.54-322.54v-314.54L262.69-480l158.85 157.46ZM534.61-140H580v-680h-45.39v680Z",
    "400": "M425-301v-358L240-480l185 179Zm115 181h60v-720h-60v720Z",
    "500": "M426.2-290.72v-378.8L230.67-480 426.2-290.72Zm115 176.7h68.13v-732.2H541.2v732.2Z",
    "600": "M427.83-276.69v-407.18L217.96-480l209.87 203.31Zm115 170.82h79.21V-854.7h-79.21v748.83Z",
    "700": "M430-258v-445L201-480l229 222ZM545-95h94v-771h-94v771Z"
  }
};
const ArrowMenuCloseW100 = createMaterialIcon("arrow_menu_close", pathData.regular[100]);
const ArrowMenuCloseW200 = createMaterialIcon("arrow_menu_close", pathData.regular[200]);
const ArrowMenuCloseW300 = createMaterialIcon("arrow_menu_close", pathData.regular[300]);
const ArrowMenuCloseW400 = createMaterialIcon("arrow_menu_close", pathData.regular[400]);
const ArrowMenuCloseW500 = createMaterialIcon("arrow_menu_close", pathData.regular[500]);
const ArrowMenuCloseW600 = createMaterialIcon("arrow_menu_close", pathData.regular[600]);
const ArrowMenuCloseW700 = createMaterialIcon("arrow_menu_close", pathData.regular[700]);
const ArrowMenuCloseFillW100 = createMaterialIcon("arrow_menu_close", pathData.regular[100]);
const ArrowMenuCloseFillW200 = createMaterialIcon("arrow_menu_close", pathData.regular[200]);
const ArrowMenuCloseFillW300 = createMaterialIcon("arrow_menu_close", pathData.regular[300]);
const ArrowMenuCloseFillW400 = createMaterialIcon("arrow_menu_close", pathData.regular[400]);
const ArrowMenuCloseFillW500 = createMaterialIcon("arrow_menu_close", pathData.regular[500]);
const ArrowMenuCloseFillW600 = createMaterialIcon("arrow_menu_close", pathData.regular[600]);
const ArrowMenuCloseFillW700 = createMaterialIcon("arrow_menu_close", pathData.regular[700]);

export { ArrowMenuCloseFillW100, ArrowMenuCloseFillW200, ArrowMenuCloseFillW300, ArrowMenuCloseFillW400, ArrowMenuCloseFillW500, ArrowMenuCloseFillW600, ArrowMenuCloseFillW700, ArrowMenuCloseW100, ArrowMenuCloseW200, ArrowMenuCloseW300, ArrowMenuCloseW400, ArrowMenuCloseW500, ArrowMenuCloseW600, ArrowMenuCloseW700 };
